from django.db import models
from django.contrib.auth.models import User

# Custom file storage patch
from django.core.filestorage import storage

# TODO: Find a better way to deal with classes. Maybe a generator?
class AvatarStorage(storage.__class__):
    mogile_class = 'avatar'

class ThumbnailStorage(storage.__class__):
    mogile_class = 'thumb'
    
class Avatar(models.Model):
    user = models.ForeignKey(User, null=True, blank=True)
    
    image = models.ImageField(storage=AvatarStorage())
    thumb = models.ImageField(storage=ThumbnailStorage())

urlpatterns += patterns('',
    (r'^%s(?P<key>.*)' % settings.MOGILEFS_MEDIA_URL[1:], 'project.app.filestorage.serve_mogilefs_file')
) 